## routersploit 3.4.0+git20210206

=== Makefile ===
.PHONY: build run test lint lint-modules clean prune help

DIRECTORY=.
EXCLUDED=.git,rsf.py
RSF_IMAGE=routersploit
FLAKE8_IGNORED_RULES=E501,F405,F403,W504

build:
	docker build -t $(RSF_IMAGE) .

run:
	docker run -it --rm $(RSF_IMAGE)

lint:
	python3 -m flake8 --exclude=$(EXCLUDED) --ignore=$(FLAKE8_IGNORED_RULES) $(DIRECTORY)

tests: clean
	python3 -m pytest -n16 tests/core/ tests/test_exploit_scenarios.py tests/test_module_info.py
	python3 -m pytest -n16 tests/exploits/ tests/creds/ tests/encoders/ tests/generic/ tests/payloads/

clean:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f  {} +

prune:
	docker images -q -f dangling=true | xargs docker rmi
	docker ps -q -f status=exited | xargs docker rm

help:
	@echo "    run"
	@echo "        Run Routersploit in docker container"
	@echo "    lint"
	@echo "        Check style with flake8."
	@echo "    test"
	@echo "        Run test suite"
	@echo "    clean"
	@echo "        Remove python artifacts."
	@echo "    prune"
	@echo "        Remove dangling docker images and exited containers."

=== requirements.txt ===
future
requests==2.21.0
paramiko
pysnmp==4.4.6
pycryptodome

=== debian/changelog ===
routersploit (3.4.0+git20210206-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 08 Sep 2023 17:01:04 +0200

routersploit (3.4.0+git20210206-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Wrap long lines in changelog entries: 3.4.0-0kali2.

  [ Sophie Brun ]
  * Update my email
  * Update upstream homepage
  * New upstream version 3.4.0+git20210206 (fixes issues with python 3.9)
  * Bump Standards-Version to 4.5.1

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 01 Apr 2021 16:34:42 +0200

routersploit (3.4.0-0kali2) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Kali Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 08 Jan 2021 12:06:01 +0100

routersploit (3.4.0-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@freexian.com>  Thu, 18 Oct 2018 09:12:34 +0200

routersploit (3.3.0-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@freexian.com>  Tue, 10 Jul 2018 12:12:21 +0200

routersploit (3.2.0-0kali1) kali-dev; urgency=medium

  * New upstream version 3.2.0
  * Use pybuild to build the package
  * Add a patch to improve setup.py
  * Add a symlink to keep routersploit as command
  * Remove useless debian/docs (we have a debian/routersploit.docs)

 -- Sophie Brun <sophie@freexian.com>  Tue, 26 Jun 2018 10:49:16 +0200

routersploit (3.1.0-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@freexian.com>  Tue, 12 Jun 2018 14:05:05 +0200

routersploit (3.0.0-0kali1) kali-dev; urgency=medium

  * Import new usptream release

 -- Sophie Brun <sophie@freexian.com>  Tue, 29 May 2018 11:02:00 +0200

routersploit (2.2.1-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@freexian.com>  Fri, 16 Jun 2017 11:47:36 +0200

routersploit (2.0.0+git20160426-0kali2) kali-dev; urgency=medium

  * Update debian/watch

 -- Sophie Brun <sophie@freexian.com>  Wed, 27 Apr 2016 11:13:40 +0200

routersploit (2.0.0+git20160426-0kali1) kali-dev; urgency=medium

  * Initial release (Closes: 0003255)

 -- Sophie Brun <sophie@freexian.com>  Tue, 26 Apr 2016 10:36:39 +0200

=== debian/control ===
Source: routersploit
Section: misc
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 12), dh-python, python3-all, python3-setuptools
Standards-Version: 4.5.1
Homepage: https://github.com/threat9/routersploit

Package: routersploit
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Recommends: python3-bluepy
Description: Exploitation Framework for Embedded Devices
 This package contains an open-source exploitation framework dedicated to
 embedded devices. It consists of various modules that aids penetration testing
 operations:
  * exploits - modules that take advantage of identified vulnerabilities.
  * creds - modules designed to test credentials against network services.
  * scanners - modules that check if target is vulnerable to any exploit.
  * payloads - modules that are responsible for generating payloads for various
    architectures and injection points.
  * generic - modules that perform generic attacks.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@  --with python3 --buildsystem=pybuild

override_dh_auto_test:
	# don't run the tests: a requirement is missing: threat9-test-bed
	#python3 -m pytest

## routersploit 3.4.7

=== Makefile ===
--- 
+++ 
@@ -19,9 +19,9 @@
 	python3 -m pytest -n16 tests/exploits/ tests/creds/ tests/encoders/ tests/generic/ tests/payloads/
 
 clean:
-	find . -name '*.pyc' -exec rm -f {} +
-	find . -name '*.pyo' -exec rm -f {} +
-	find . -name '*~' -exec rm -f  {} +
+	find . -name '*.pyc' -delete
+	find . -name '*.pyo' -delete
+	find . -name '*~' -delete
 
 prune:
 	docker images -q -f dangling=true | xargs docker rmi

=== requirements.txt ===
requests==2.32.2
paramiko
pysnmp
pycryptodome

=== debian/changelog ===
routersploit (3.4.7-0kali2) kali-dev; urgency=medium

  * Add missing dep python3-pkg-resources and python3-zombie-telnetlib

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 28 Jan 2025 15:07:31 +0100

routersploit (3.4.7-0kali1) kali-dev; urgency=medium

  * New upstream version 3.4.7
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 28 Jan 2025 11:20:04 +0100

routersploit (3.4.6-0kali1) kali-dev; urgency=medium

  * New upstream version 3.4.6

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 28 Oct 2024 15:21:24 +0100

routersploit (3.4.5-0kali1) kali-dev; urgency=medium

  * New upstream version 3.4.5
  * Bump Standards-Version to 4.7.0 (no changes)

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 17 Oct 2024 13:51:29 +0200

routersploit (3.4.4-0kali1) kali-dev; urgency=medium

  * New upstream version 3.4.4

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 27 May 2024 14:45:57 +0200

routersploit (3.4.3-0kali1) kali-dev; urgency=medium

  * New upstream version 3.4.3

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 21 May 2024 15:56:28 +0200

routersploit (3.4.2-0kali1) kali-dev; urgency=medium

  * New upstream version 3.4.2
  * Refresh patches
  * Add autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 29 Apr 2024 14:15:56 +0200

routersploit (3.4.0+git20220926-0kali1) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Update email address
  * Remove template comment and switch spaces to tabs

  [ Kali Janitor ]
  * Update standards version to 4.6.1, no changes needed.
  * Set upstream metadata fields: Repository-Browse.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.6.2, no changes needed.

  [ Sophie Brun ]
  * New upstream version 3.4.0+git20220926
  * Use pycryptodome instead of crypto
  * Do no use python3-future

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 30 Jan 2024 13:57:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,21 @@
 Source: routersploit
 Section: misc
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>
 Build-Depends: debhelper-compat (= 12), dh-python, python3-all, python3-setuptools
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/threat9/routersploit
+Vcs-Git: https://gitlab.com/kalilinux/packages/routersploit.git
+Vcs-Browser: https://gitlab.com/kalilinux/packages/routersploit
 
 Package: routersploit
 Architecture: all
 Depends: ${misc:Depends},
-         ${python3:Depends}
+         ${python3:Depends},
+	 python3-pkg-resources,
+	 python3-pycryptodome,
+	 python3-zombie-telnetlib
 Recommends: python3-bluepy
 Description: Exploitation Framework for Embedded Devices
  This package contains an open-source exploitation framework dedicated to

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	# don't run the tests: a requirement is missing: threat9-test-bed
	#python3 -m pytest

=== debian/tests/control ===
Test-Command: routersploit -h
Restrictions: superficial

Test-Command: debian/tests/runtests.sh test_start
Restrictions: allow-stderr
Depends: expect, @

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v(\d[\d.]*)\.tar\.gz/routersploit-$1\.tar\.gz/ \
https://github.com/threat9/routersploit/tags .*/v?(\d[\d.]*)\.tar\.gz debian uupdate
